package com.tencent.mm.plugin.appbrand.jsapi.lab;

import android.os.Parcel;
import android.os.Parcelable;
import android.os.Parcelable.Creator;
import com.tencent.matrix.trace.core.AppMethodBeat;

final class JsApiSetLabInfo$IPCSetLabInfoRequest implements Parcelable {
    public static final Creator<JsApiSetLabInfo$IPCSetLabInfoRequest> CREATOR = new 1();
    private String csB;
    private boolean enabled;

    public final int describeContents() {
        return 0;
    }

    public final void writeToParcel(Parcel parcel, int i) {
        AppMethodBeat.i(131104);
        parcel.writeString(this.csB);
        parcel.writeByte(this.enabled ? (byte) 1 : (byte) 0);
        AppMethodBeat.o(131104);
    }

    public JsApiSetLabInfo$IPCSetLabInfoRequest(String str, boolean z) {
        this.csB = str;
        this.enabled = z;
    }

    protected JsApiSetLabInfo$IPCSetLabInfoRequest(Parcel parcel) {
        AppMethodBeat.i(131105);
        this.csB = parcel.readString();
        this.enabled = parcel.readByte() != (byte) 0;
        AppMethodBeat.o(131105);
    }

    static {
        AppMethodBeat.i(131106);
        AppMethodBeat.o(131106);
    }
}
